const app = getApp()

import {
    meetingRoomDetailRq
} from "../../../../api/meeting/meetingRoom.js"

import {
    selfFormatTimeYMD,
    selfFormatTimeHM,
    twoTimeInterval
} from "../../../../utils/util.js"


Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        protocolFlag: true,
        protocolTitle: '《会议室服务协议》',
        meetingRoomId: null,
        startTime: null,
        endTime: null,
        selectDay: null,
        selectCountTime: null,
        bannerList: [],
        room: {},
        userData: {},
        couponId : '',
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.log('onLoad', options);
        let selectCountTime = selfFormatTimeHM(options.startTime) + "-" + selfFormatTimeHM(options.endTime) + ' 共计' + twoTimeInterval(options.startTime , options.endTime)
        this.setData({
            ...options,
            userData: wx.getStorageSync('user'),
            selectDay: selfFormatTimeYMD(options.startTime),
            selectCountTime
        })
        // 详细信息
        this.getDetail();
    },

    // 详细信息
    getDetail() {
        let _this = this;
        meetingRoomDetailRq(this.data.meetingRoomId).then(res => {
            _this.setData({
                room: res.roomContent,
                bannerList: [res.roomContent.indoorPicUrl]
            })
        })
    },

    // 跳转-空间设施
    jumpMeetingFacilities() {
        let meetingRoomId = this.data.meetingRoomId;
        wx.navigateTo({
            url: '/pages/meeting/meetingRoom/meetingFacilities/meetingFacilities?meetingRoomId=' + meetingRoomId,
        })
    },

    // 跳转-优惠卷
    jumpMeetingCoupon() {
        let _this = this;
        wx.navigateTo({
            url: "/pages/meeting/meetingRoom/meetingCoupon/meetingCoupon?type=1&couponId=" + _this.data.couponId,
        })
    },

    // 协议点击
    protocolChange() {
        let _this = this;
        _this.setData({
            protocolFlag: !_this.data.protocolFlag
        });
    },

    // 跳转协议
    jumpProtocol() {
        let _this = this;
        wx.navigateTo({
            url: "/pages/meeting/meetingRoom/meetingProtocol/meetingProtocol?title=" + _this.data.protocolTitle,
        })
    },

    // 提交订单
    submitCase() {
        wx.redirectTo({
            url: "/pages/meeting/pay/waitPay/waitPay",
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow(options) {
        console.log('onShow' , options);
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})